Summary: Bundled Utilities for configuring an using ISDN4Linux
Name: isdn4k-utils
Version: 3.1b7
Release: 2mdk
Copyright: GPL
Group: System/Configuration/Networking
Source: isdn4k-utils.v3.1beta7.tar.bz2
Patch1: isdn4k-utils.ipppd.patch.bz2
Patch2: isdn4k-utils.make.patch.bz2
URL: http://www.isdn4linux.de
#Distribution: Unknown
Requires: kernel >= 2.2.0
BuildRoot: /var/tmp/isdn4k-utils-root

%description
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN; vbox, an answering-machine and (for use with AVM-B1 only)
capifax, a faxmachine.

%prep
# remove old directory
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/isdn4k-utils-%{PACKAGE_VERSION}

# unpack main sources
%setup -q -n isdn4k-utils
# patch should rebuilt
# for ipppX route
%patch1 -p1
%patch2 -p1

%build
cp .config.rpm .config
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" subconfig
# configure isdnlog/tools/zone
#(cd isdnlog/tools/zone; ./configure)
sed -e "s/-O6 -fomit-frame-pointer -fforce-mem -fforce-addr -funroll-loops -fstrength-reduce/$RPM_OPT_FLAGS/" isdnlog/Makefile.in >.tmp
mv -f .tmp isdnlog/Makefile.in
sed -e "s/-O6 -fomit-frame-pointer -fforce-mem -fforce-addr -funroll-loops -fstrength-reduce/$RPM_OPT_FLAGS/" isdnlog/Makefile >.tmp
mv -f .tmp isdnlog/Makefile
sed -e "s/-O6/$RPM_OPT_FLAGS/" lib/avon/Makefile >.tmp
mv -f .tmp lib/avon/Makefile
sed -e "s/-g/$RPM_OPT_FLAGS/" lib/Makefile >.tmp
mv -f .tmp lib/Makefile
cp isdnlog/isdnlog/isdnlog.5.in isdnlog/isdnlog/isdnlog.5
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin,man,include}
mkdir -p $RPM_BUILD_ROOT/usr/lib/isdn
mkdir -p $RPM_BUILD_ROOT/etc/isdn
mkdir -p $RPM_BUILD_ROOT/dev
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/etc/isdn
for i in *.new ; do
	mv $i `basename $i .new`
done
rm $RPM_BUILD_ROOT/dev/isdnctrl
mkdir -p $RPM_BUILD_ROOT/etc/ppp
touch $RPM_BUILD_ROOT/etc/ppp/ioptions
ln -s /dev/isdnctrl1 $RPM_BUILD_ROOT/dev/isdnctrl
find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
cd $RPM_BUILD_ROOT
#chown -R root.root *
chmod -s $RPM_BUILD_ROOT/usr/bin/xmonisdn
chmod g+s $RPM_BUILD_ROOT/usr/bin/xmonisdn

%clean
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
/dev
/sbin
/usr/bin
/usr/lib/isdn
/usr/lib/libcapi20*
/usr/include
/usr/X11R6/include/X11/bitmaps
%config /usr/X11R6/lib/X11/app-defaults/*
%dir /etc/isdn
%config /etc/isdn/vboxgetty.conf
%config /etc/isdn/vboxd.conf
%config /etc/isdn/isdn.conf
%config /etc/ppp/ioptions
%doc /usr/man/man1/*
%doc /usr/man/man4/*
%doc /usr/man/man5/*
%doc /usr/man/man7/*
%doc /usr/man/man8/*
%doc /usr/doc/vbox/*
%doc /usr/X11R6/man/man1/*
%doc /usr/doc/faq/isdn4linux/*
%dir /var/spool/vbox
%dir /var/log/vbox

%changelog
* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 3.1b7-2mdk
- Removed rootperm use (make.patch). 

* Sat Feb 05 2000 Jesse Kuang <kjx@linux-mandrake.com>
- fixes libcapi20.so missing

* Sat Jan 29 2000 Jesse Kuang <kjx@linux-mandrake.com>
- update to 3.1beta7

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix includes.
- Build release.

* Sun Aug 19 1999 Jesse Kuang <kjx@linux.org.cn>
- 3.0 doesn't work with 2.2.12/13, using CVS snapshot
- fix ipppX route when hangup, need /etc/ppp/ioptions

* Tue Aug 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix security leak (xmonisdn needs setgid, not setuid)

* Tue May 18 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- chown -R root.root *

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- rebuild with new kernel

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- initial Mandrake SRPM
